List Top-up Benefits

Lists wallet top-up benefit definitions for the authenticated SP Digital business. Example curl: ```bash curl --request POST '{{base_url}}/sp/wallet/topup-benefits/list' \ --header 'Authorization: Bearer {{access_token}}' \ --header 'Content-Type: application/json' \ --data-raw '{ "location_id": {{location_id}}, "per_page": 25, "page": 1 }' ``` Example success response shape: ```json { "success": true, "message": "OK", "data": [ { "benefit_id": 1, "title": "Top Up 100 Get 10", "amount": 100, "promo_amount": 10, "status": "active" } ], "meta": { "pagination": { "total": 1, "per_page": 25, "current_page": 1, "last_page": 1, "from": 1, "to": 1 } } } ``` Example error response shape: ```json { "success": false, "message": "Unauthorized.", "error": { "code": "unauthorized", "details": {} } } ``` Common platform errors: - `sp_scope_not_granted` - `sp_token_scope_missing` - `sp_location_not_allowed` - `legacy_field_not_allowed` - `query_parameters_not_allowed` - `invalid_content_type`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

AuthorizationstringOptional

Response

200 OK Example
successboolean
messagestring
datalist of objects
metaobject